# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'lexy/version'

Gem::Specification.new do |spec|
  spec.name          = 'lexy'
  spec.version       = Lexy::VERSION
  spec.authors       = ['Rostislav Katin']
  spec.email         = ['poctek5@gmail.com']

  spec.summary       = 'Development helpers'
  spec.homepage      = 'https://github.com/poctek/lexy'
  spec.license       = 'MIT'

  spec.metadata = { 'source_code_uri' => 'https://github.com/poctek' }

  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = ['lexy']
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'parser', '~> 2.7', '>= 2.7.0.1'
  spec.add_runtime_dependency 'thor', '~> 0.19', '>= 0.19.0'

  spec.add_development_dependency 'bundler', '~> 1.17'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'rubocop', '~> 0.8', '>= 0.8.3'

  spec.add_development_dependency 'pry', '~> 0.13', '>= 0.13.1'
end
